### Method

# Foundry Vcs dup_branch_name

#### Declaration [src]

    char*
    foundry_vcs_dup_branch_name (
      FoundryVcs* self
    )

#### Description [src]

Gets the name of the branch such as “main”.

#### Return value

Type: `char*`

A string containing the branch name.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.